Not logged in. · Lost password · Register
Forum: General Help and Support Installation and Configuration RSS
[Solved] After Upgrade to Ponder Stibbon the Plugin Manager isn't available anymore
wjo #1
Member since May 2014 · 5 posts
Group memberships: Members
Show profile · Link to this post
Subject: [Solved] After Upgrade to Ponder Stibbon the Plugin Manager isn't available anymore
Hi,

after Upgrade to Ponder Stibbons Plugin Manager isn't available anymore.
After upgrading to Ponder Stibbons (following the upgrade recommendations), the Plugin Manager isn't availible anymore after selecting "Admin".
Still available are: User Manager, Access Control List Management, Configuration Settings, Revert Manager and Popularity Feedback.

Help is appreciated very much.

Best Regards,

wjo
This post was edited on 2014-05-09, 13:39 by wjo.
wjo #2
Member since May 2014 · 5 posts
Group memberships: Members
Show profile · Link to this post
Update: I saw there's an update tarball (2014-05-06) which has extension manager included. I upgraded to that version.
But neither plugin manager nor extension manager is available.
Rene #3
Member since Jan 2014 · 191 posts
Group memberships: Members
Show profile · Link to this post
maybe try again using the upgrade plugin ?

https://www.dokuwiki.org/plugin:upgrade

Oeps .... no plugin /extension manager available ...... use a backup to upgrade again.
wjo #4
Member since May 2014 · 5 posts
Group memberships: Members
Show profile · Link to this post
Thanks for your suggestion.
I also thought about that. But it is not possible as I'm sitting in an IPv6-only network. github.com is IPv4-only, so no automatic updates are possible.

BTW, when reverting to Blinky, Plugin Manager is available again...


Best regards,

wjo
Rene #5
Member since Jan 2014 · 191 posts
Group memberships: Members
Show profile · Link to this post
oke, i'am oldskool, i'am not familiar with first-mover problems.

You mean you can't install a plugin using the extension manager ?
Or you can not upgrade using the [plugin]upgrade ?

Maybe it has something to do with user rights for your internet client to some directory's.

I have my external pages protected so it is not possible to write to /lib and /inc etc. If i want to install a plugin i first have to grand write access to these directory's.
wjo #6
Member since May 2014 · 5 posts
Group memberships: Members
Show profile · Link to this post
Hi Rene,
for understanding:

in Ponder Stibbons  I have no plugin manager/ extension manager.

in Blinky I have Plugin Manager, but Upgrade Plugin is no option to upgrade because, it uses github.com (only via IPv4) for many sources, which isn't availlable from my installation (only IPv6).

btw, I use dokuwiki now for some years, but had so far never problems with upgrades.
Rene #7
Member since Jan 2014 · 191 posts
Group memberships: Members
Show profile · Link to this post
Why not change the location where plugin:upgrade gets its files :

https://github.com/splitbrain/dokuwiki-plugin-upgrade/blob…

instead of "http://github.com/splitbrain/dokuwiki/tarball/" use your own side a the source for the updates.
Avatar
Michitux #8
Member since Apr 2008 · 377 posts · Location: Karlsruhe, Germany
Group memberships: Members, Wiki Managers
Show profile · Link to this post
In reply to post #6
Quote by wjo:
in Ponder Stibbons  I have no plugin manager/ extension manager.

Could you please check that in the updated wiki you have a folder lib/plugins/extension/? How did you download DokuWiki? It might be a bug somewhere that the extension manager isn't included as it is new in this release.
Did you like my help or work for DokuWiki (plugins)? Consider giving something back.
wjo #9
Member since May 2014 · 5 posts
Group memberships: Members
Show profile · Link to this post
Hi, I downloaded from http://download.dokuwiki.org/. Unfortunately the version was incomplete. An updated version now includes the extension plugin.
@Michitux: Thanks for the hint, that was the problem! -  lib/plugins/extension was in the 2014-05-05 not included, only in 2014-05-06 (which I got only on on 2014-05-08).

Thanks.

wjo
SOLVED.
Avatar
n838901 #10
Member since Oct 2014 · 1 post
Group memberships: Members
Show profile · Link to this post
Subject: Not working for me
I've tried downgrading and then upgrading back to Ponder Stibbon but the Extension Manager never works.  Also the Upgrade plugin never works either.
Avatar
Klap-in #11
Member since Nov 2009 · 239 posts · Location: Alkmaar, The Netherlands
Group memberships: Documentation Team, Members
Show profile · Link to this post
I'm sorry, but 'never works' is not yet a real issue description. I don't expect anyone can help you further based on this kind of descriptions.
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2019-07-23, 01:08:11 (UTC +02:00)